BANK KALTENG - Bug #3091

validasi travel
09/27/2024 05:19 PM - Regina Tasya

Status: Closed Start date: 09/27/2024
Priority: Normal Due date:

Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 9.00 hours
Description

dear mas azid,

ingin menambahkan validasi dimana jika ada tanggal yg overlap jika ada 2 pengajuan ess maka hanya terhitung numbernya di ess
pertama saja untuk tanggal overlap tsb

terima kasih

menu: myworkplace- request- travel

Port: http://remote.minovais.com:31130/

DB: MinovaES_Bank_Kalteng_Dev (di 1442)

History

#1 - 09/30/2024 02:34 PM - Regina Tasya

tambahan kak azid, untuk validasi overlap ingin untuk cost typ Penginapan, Uang makan, uang harian.
untuk cost type code penginapan, Uang makan, uang harian nya yang ini:
1000

1050

3000

3050

5050

5060

8000

8040

8060

8090

9000

9020

9030

contoh case overlap :

jika mas azid ingin melakukan travel tgl 1-6, kemudian mengajukan di ess nya 2x pengajuan, di tgl 1-3 kemudian dilanjut tgl 3-6 ke.
kita jabarkan:

1-3 = 3 hari 2 malam

3-6 = 4 hari 3 malam

ini normal perhitungannya kalo dibaca perbagian tgl.

nah bentrok kan untuk perjalanan dinas di tgl 3 nya. jd ingin dihitung 1 kali aja, yang dihitung itu yang pengajuan pertama saja, untuk yang tgl 3-6 dia
akan mengurangi hari dan malamnya 1. *jadinya tgl 3-6 itu 3 hari 2 malam. *

#2 - 10/16/2024 10:50 AM - M Azid Wahyudi

note tambahan :
Malam -> tidak berkurang
Hari -> berkurang berdasarkan overlap tanggalnya / harinya

contoh data :
pengajuan pertama

- on going
- data yang udah masuk MD

#3 - 10/17/2024 02:13 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Regina Tasya
http://remote.minovais.com:31130/

dear tasya , udah bisa di test ya

package :
bizproc (travel)
update (TRVAUTOFILLCOST)

makasih

#4 - 10/21/2024 03:14 AM - Regina Tasya
- Status changed from QA Test to Assigned
- Assignee changed from Regina Tasya to M Azid Wahyudi

kak ada yang belum untuk cost typenya. cost type uang harian:

4000
4050
6000
6050
8020
8050
8070
9010
9040
mohon bantuannya untuk menambahkan cost type untuk overlapping ini. terima kasih

#5 - 10/21/2024 09:18 AM - Regina Tasya

notes:
jika overlapping 1 hari itu tidak ada pengurangan malam
tapi jika overlapping lebih dari sehari maka pengurangan 1 malam

#6 - 10/21/2024 10:28 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya , ini tinggal di test aja soalnya berdasarkan yang di daftarin dan udah jalan juga yang overlapping
makasih

#7 - 10/21/2024 11:37 AM - Regina Tasya

- File clipboard-202410211051-hp0r8.png added

- File clipboard-202410211051-02ijp.png added

- File clipboard-202410211107-wf7ja.png added

- File clipboard-202410211125-fgiva.png added
- Status changed from QA Test to Deploy

testing overlapping

pengajuan 1 tgl 14 sd 16 okt

My Workplace Master Data Human Resource Business Intelligence System Administration Search... O\ Help ""' tasya
Number Rate Cost Description Cost Center Plan Settlement Not
n Wilayah Kalimantan Tengah 2 550,000.00 ' Divisi Human ... ' 0.00 1,100,000.00 I:
ayah Kalimantan Tengah 3 110,000.00 ’ Divisi Human ... ' 0.00 330,000.00
ayah Kalimantan Tengah 2 140,000.00 ’ Divisi Human ... ' 0.00 420,000.00
P (Dinas Luar Wilayah Kaliman. .. 1 1,000,000.00 Divisi Human ... 0.00 1,000,000.00 new
pengajuan 2 tgl 16 sd 18 okt

A Cost

© Add T Delete

Currency Cost Type Number

Rp Biaya Penginapan Dinas Dalam Wilayah Kalimantan Tengah
Rp Uang Makan Dinas Dalam Wilayah Kalimantan Tengah 2

Rp Uang Harian Dinas Dalam Wilayah Kalimantan Tengah 2

Rate

550,000.00
110,000.00
140,000.00

Cost Description

Cost

untuk flag malam (biaya penginapan), karna overlapping 1 hari maka tidak ada pengurangan malamnya. sudah sesuai pengajuan 1 tgl 29 sd 31 okt

A Cost
© Add | il Delete
Number Rate CostDescription  CostCenter Plan Settlement
r r r
iantan Tengah 2 Divisi Human ... 4,000,000.00 4.000,000.00
I Tengah 3 110,000.00 - Divisi Human ... 330,000.00 330,000.00
¥
| Tengah 2 140,000.00 Divisi Human .. 420,000.00 420.000.00
pengajuan 2 tgl 30 okt sd 3 nov
A Cost
© Add Tl Delete
Start Date End Date Currency Cost Type Number
] 30/M10/2024 03/11/2024 Rp Biaya Penginapan Dinas Dalam Wilayah Kalimantan Tengah 3
2 30102024 0311/2024 Rp Uang Makan Dinas Dalam Wilayah Kalimantan Tengah 3
3 301072024 03/11/2024 Rp Uang Harian Dinas Dalam Wilayah Kalimantan Tengah 3

sudah sesuai jika overlap lebih dari 1 hari maka pengurangan 1 malam

overlapping sudah sesuai terima kasih kak

#8 - 10/31/2024 05:29 PM - Regina Tasya

catatan: pengajuan overlapping harus dengan travel ttype yang sama, jika beda travel type tidak dianggap overlapping

#9 - 11/11/2024 10:30 AM - Regina Tasya

- Assignee changed from Regina Tasya to Muhammad Bintar

#10 - 01/06/2025 09:44 AM - Regina Tasya
550,0C
110,0C
140,0C
- Assignee changed from Muhammad Bintar to Regina Tasya

#11 - 01/20/2025 09:30 AM - Regina Tasya
- Status changed from Deploy to Closed
